/************************************************************************
 * This library is free software; you can redistribute it and/or	*
 * modify it under the terms of the GNU Library General Public		*
 * License as published by the Free Software Foundation; either		*
 * version 2 of the License, or (at your option) any later version.	*
 * 									*
 * This library is distributed in the hope that it will be useful,	*
 * but WITHOUT ANY WARRANTY; without even the implied warranty of	*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*
 * Library General Public License for more details.			*
 * 									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the		*
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,		*
 * Boston, MA  02111-1307, USA.						*
 * 									*
 * The GNU Library General Public License file is included in		*
 * Online-Documentation							*
 *									*
 * GNU's Homepage - http://www.gnu.ai.mit.edu/home.html			*
 *									*
 * Questions & comments referring to *FLIP++: please contact us:	*
 *									*
 * Snail-Mail:								*
 *	Dr. Wolfgang SLANY						*
 *	Database and Expert System Group (E184-2)     			*
 *	Institute of Information Systems               			*
 *	Vienna University of Technology					*
 *	Paniglgasse 16, A-1040 Vienna, AUSTRIA				*
 * Telephone:								*
 *	+43-1-58801-6123     (area-code 1 maybe changed to 201 in 1998) *
 * FAX:									*
 *	+43-1-5055304	     (area-code 1 maybe changed to 201 in 1998) *
 * eMail:								*
 *	sflip@dbai.tuwien.ac.at						*
 * WWW:									*
 *	http://www.dbai.tuwien.ac.at/proj/StarFLIP/			*
 *                                                                      *
 * $Id: errtxtdm.cpp,v 1.4 1997/06/24 17:29:06 reichel Exp $ *
 ***********************************************************************/


// errtxtdom.cpp


#include "domerr.h"

extern char domflip_error_prefix[]="DomFLIP++ - ERROR : ";
extern char *domflip_error_table[domflip_error_t::last_error_no]=
{
	"Sorry, no error - everything is ok !",
        "Sorry, no error - Init is ok !",
        "",
        "",
        "",
        "Memory allocation failed by %s at %ld",
        "Name '%s' does already exist !",
        "Name '%s' does not exist !",
        "Have a problem by writing a file !",
        "Have a problem by reading a file !",
        "Illegal length of aggregat-name '%s' (must be between 1 and %ld)",
        "Illegal character in aggregat-name '...%s' at position %ld",
        "There is nothing to delete, because I'm at the end of the list",
        "No insert permission to the list (caused by '%s' at index %ld)",
        "No delete permission to the list (caused by '%s' at index %ld)",
	"Cannot set opt_meth in Domain",
        "Have a problem by writing a file in '%s' !",
        "Have a problem by reading a file in '%s' !",
        "Have a problem by clearing in '%s' !"
        };

