/************************************************************************
 * This library is free software; you can redistribute it and/or	*
 * modify it under the terms of the GNU Library General Public		*
 * License as published by the Free Software Foundation; either		*
 * version 2 of the License, or (at your option) any later version.	*
 * 									*
 * This library is distributed in the hope that it will be useful,	*
 * but WITHOUT ANY WARRANTY; without even the implied warranty of	*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*
 * Library General Public License for more details.			*
 * 									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the		*
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,		*
 * Boston, MA  02111-1307, USA.						*
 * 									*
 * The GNU Library General Public License file is included in		*
 * Online-Documentation							*
 *									*
 * GNU's Homepage - http://www.gnu.ai.mit.edu/home.html			*
 *									*
 * Questions & comments referring to *FLIP++: please contact us:	*
 *									*
 * Snail-Mail:								*
 *	Dr. Wolfgang SLANY						*
 *	Database and Expert System Group (E184-2)     			*
 *	Institute of Information Systems               			*
 *	Vienna University of Technology					*
 *	Paniglgasse 16, A-1040 Vienna, AUSTRIA				*
 * Telephone:								*
 *	+43-1-58801-6123     (area-code 1 maybe changed to 201 in 1998) *
 * FAX:									*
 *	+43-1-5055304	     (area-code 1 maybe changed to 201 in 1998) *
 * eMail:								*
 *	sflip@dbai.tuwien.ac.at						*
 * WWW:									*
 *	http://www.dbai.tuwien.ac.at/proj/StarFLIP/			*
 *                                                                      *
 * $Id: common.h,v 1.4 1997/06/24 17:28:41 reichel Exp $ *
 ***********************************************************************/


// domagg
const int LENGTH_OF_NAMES = 40;
const int MAX_STRING_LEN = 40;

// domlib
const int MAX_NO_OF_CONSTR = 2;
const int MAX_NO_OF_REP_STEPS = 2;

const int MAX_SCHED_ENTRIES   =  50;
const int MAX_OUTLIST_ENTRIES =  50;
const int MAX_ADVICES         =  10;

const int NR_OF_TEST_ENTRIES  =  50;

const int A_NO_ADVICE         =  -1;
const int A_END               =   0;
const int A_MOVE_FWD          =   1;
const int A_MOVE_BWD          =   2;
const int A_MOVE_GRP_FWD      =   3;
const int A_MOVE_GRP_BWD      =   4;
const int A_CHANGE            =   5;
const int A_INSERT            =   6;
const int A_REMOVE            =   7;
const int A_MOVE_TO_END       =   8;
const int A_MOVE_TO_BEG       =   9;

const int MAX_REPAIRS         =  10;

int debuginfo;


