/************************************************************************
 * This library is free software; you can redistribute it and/or	*
 * modify it under the terms of the GNU Library General Public		*
 * License as published by the Free Software Foundation; either		*
 * version 2 of the License, or (at your option) any later version.	*
 * 									*
 * This library is distributed in the hope that it will be useful,	*
 * but WITHOUT ANY WARRANTY; without even the implied warranty of	*
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*
 * Library General Public License for more details.			*
 * 									*
 * You should have received a copy of the GNU Library General Public	*
 * License along with this library; if not, write to the		*
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,		*
 * Boston, MA  02111-1307, USA.						*
 * 									*
 * The GNU Library General Public License file is included in		*
 * Online-Documentation							*
 *									*
 * GNU's Homepage - http://www.gnu.ai.mit.edu/home.html			*
 *									*
 * Questions & comments referring to *FLIP++: please contact us:	*
 *									*
 * Snail-Mail:								*
 *	Dr. Wolfgang SLANY						*
 *	Database and Expert System Group (E184-2)     			*
 *	Institute of Information Systems               			*
 *	Vienna University of Technology					*
 *	Paniglgasse 16, A-1040 Vienna, AUSTRIA				*
 * Telephone:								*
 *	+43-1-58801-6123     (area-code 1 maybe changed to 201 in 1998) *
 * FAX:									*
 *	+43-1-5055304	     (area-code 1 maybe changed to 201 in 1998) *
 * eMail:								*
 *	sflip@dbai.tuwien.ac.at						*
 * WWW:									*
 *	http://www.dbai.tuwien.ac.at/proj/StarFLIP/			*
 *                                                                      *
 * $Id: demo2.cpp,v 1.4 1997/06/24 17:28:48 reichel Exp $ *
 ***********************************************************************/


// demo1.cpp

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fstream.h>

#include "domflip.h"

domflip_error_t domflip_error;



int main (void)
{
  Domain    	dom1,dom2;
  ind 	    	i1,i2;
  char		aggname[LENGTH_OF_NAMES];
  Tabu		*t;
  float		eval;


  ifstream  	infile;
  ofstream  	outfile;

  cout<<"*******************************"<<endl;
  cout<<"***    WELCOME TO DEMO1     ***"<<endl;
  cout<<"*******************************"<<endl;

  dom1.open();
  cout<<"***Demo: Init dom1"<<endl;

  dom1.show_aggregats();
  dom2.copy(dom1);

  dom2.export_repairl("dom2.repl");
  dom2.clear_agg("cc4");
  dom2.show_aggregats();


/*
  i1.agg=1; i1.pla=1; i1.num=3;
  i2.agg=1; i2.pla=2; i2.num=3;
  cout<< "***MOVE" << endl;
  dom2.move(i1, i2);

  cout<< "***DOM1" << endl;
  dom1.show_aggregats();

  cout<< "***DOM2" << endl;
  dom2.show_aggregats();

  dom1.clear_aggregats();
  dom1.show_aggregats();
  dom1.clear_agg_constr();
  dom1.clear_data();


  strcpy(aggname,"cc4");
  cout<<"***Evaluate 1.: "<<aggname<<endl;
  eval=dom2.evaluate(aggname);
  cout<<"***Get: "<<eval<<endl;
*/
/*   
 DomFlip df;

  dom1.set_opt_meth(0);		// TabuAlg

  df.dom.copy(dom1);

  df.dom.show_aggregats();
  df.optimize();

  df.dom.clear_aggregats();
  df.dom.show_aggregats();
  df.dom.export_data("dom2a.data");
  df.dom.export_dom_constr("dom2a.dcon");
  df.dom.export_aggregats("dom2a.aggs");
  df.dom.export_agg_constr("dom2a.acon");
*/
/*
  ind tmp_ind;
  long l;
  l=30;
  tmp_ind = df.dom.dom_lookup(&l);
  cout<<"Found 30: "<<tmp_ind.agg<<" "<< tmp_ind.pla<<endl;
  return(1);
*/

};
